package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.supply.po.DrpSupplierModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class DrpMaterialSupplierVO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品编号")
   private String materialCode;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品类别")
   private Long categoryId;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("货品类别名称")
   private String categoryName;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位名称")
   private String unitName;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("最近中标供应商")
   private List<DrpSupplierModel> nearestSupplierList;
   @ApiModelProperty("备选供应商列表")
   private String alternativeSupplier;
   @ApiModelProperty("最近一次送货信息")
   private DrpLastOrderGoodsVO lastOrderGoods;
   @ApiModelProperty("是否供应 1是 2否")
   private Integer ifSupply;

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public List<DrpSupplierModel> getNearestSupplierList() {
      return this.nearestSupplierList;
   }

   public String getAlternativeSupplier() {
      return this.alternativeSupplier;
   }

   public DrpLastOrderGoodsVO getLastOrderGoods() {
      return this.lastOrderGoods;
   }

   public Integer getIfSupply() {
      return this.ifSupply;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setNearestSupplierList(final List<DrpSupplierModel> nearestSupplierList) {
      this.nearestSupplierList = nearestSupplierList;
   }

   public void setAlternativeSupplier(final String alternativeSupplier) {
      this.alternativeSupplier = alternativeSupplier;
   }

   public void setLastOrderGoods(final DrpLastOrderGoodsVO lastOrderGoods) {
      this.lastOrderGoods = lastOrderGoods;
   }

   public void setIfSupply(final Integer ifSupply) {
      this.ifSupply = ifSupply;
   }


   public String toString() {
      Long var10000 = this.getMaterialId();
      return "DrpMaterialSupplierVO(materialId=" + var10000 + ", materialCode=" + this.getMaterialCode() + ", materialName=" + this.getMaterialName() + ", categoryId=" + this.getCategoryId() + ", areaId=" + this.getAreaId() + ", areaName=" + this.getAreaName() + ", categoryName=" + this.getCategoryName() + ", unitId=" + this.getUnitId() + ", unitName=" + this.getUnitName() + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", nearestSupplierList=" + String.valueOf(this.getNearestSupplierList()) + ", alternativeSupplier=" + this.getAlternativeSupplier() + ", lastOrderGoods=" + String.valueOf(this.getLastOrderGoods()) + ", ifSupply=" + this.getIfSupply() + ")";
   }
}
